> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dintero.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Payment link by SMS or push

> Send a Dintero Checkout payment link by SMS or push notification using payment profile settings, payment-link configuration, or the Checkout API.

In some cases you might want to send an SMS to the customer with a link to the checkout when the
session is created.

There are several ways to send SMS-messages when creating a session:

* Enable SMS in Payment link in Backoffice
* Enable SMS in payment profile via Backoffice
* Enable via the API

> [!NOTE]
>
> SMS messages are not sent for test sessions.

## Enable SMS in Payment link in Backoffice

To send an SMS when using the Payment link in Backoffice, choose **Send by** → **SMS/Push** and specify the phone
number.

![Enable SMS/Push in Payment link in Backoffice](https://mintcdn.com/dintero-c3a7bfec/TiCvqt4VXcXnNQNe/docs/assets/backoffice/enable_sms_push_payment_link.png?fit=max\&auto=format\&n=TiCvqt4VXcXnNQNe\&q=85\&s=085d019b3407dbe333d7ac7dc6576e1e)

## Enable SMS in payment profile via Backoffice

If you're using payment profiles, SMS is quite easy to turn on. Simply open Backoffice and go
to **Settings** → **Payment profiles**.

Choose your payment profile from the list (or create a new one), click edit and tick the box that says **"Send payment
link via SMS
to customers"**. Save the payment profile.

![Enable SMS/Push in payment profile via Backoffice](https://mintcdn.com/dintero-c3a7bfec/TiCvqt4VXcXnNQNe/docs/assets/backoffice/enable_sms_push_profile.png?fit=max\&auto=format\&n=TiCvqt4VXcXnNQNe\&q=85\&s=5bbd1d90f18cbab29cc0a4bef9030dfe)

Now, when creating a session with this payment profile, your customer will receive an SMS.

## Enable SMS via the API

When using the API, you can enable SMS either through payment profiles or directly when creating the session.

* [Creating payment profile](/checkout-api/profiles/admin_session_profile_post.md)
* [Editing payment profile](/checkout-api/profiles/admin_session_profile_details_put.md)
* [Creating a session](/checkout-api/session/checkout_session_post.md)

> [!NOTE]
>
> To create payments with a payment profile,
> use [Create checkout session from profile](/api-reference/session/checkout_session_profile_post.md)
> .

For each of these cases, extend the request body with the following fields:

```json theme={null}
{
  "configuration": {
    "publish": [
      {
        "type": "checkout-link",
        "channel": "sms"
      }
    ]
  }
}
```

## Direct push messages instead of SMS

For the following payment types, we support direct push messages:

* Vipps
* Swish
* MobilePay

To send push payments instead of SMS-messages for one of these payment types, these conditions must be met:

* The session should only contain that single payment type
* Publish is configured as the example above.


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.